Package net.shibboleth.idp.cas.flow.impl

# Class BuildSamlValidationFailureMessageAction

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.cas.flow.impl.AbstractCASProtocolAction<TicketValidationRequest,TicketValidationResponse>
net.shibboleth.idp.cas.flow.impl.AbstractOutgoingSamlMessageAction
net.shibboleth.idp.cas.flow.impl.BuildSamlValidationFailureMessageAction

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class BuildSamlValidationFailureMessageAction extends AbstractOutgoingSamlMessageAction
Creates the SAML response message for failed ticket validation at the `/samlValidate` URI.

## Field Summary

### Fields inherited from class net.shibboleth.idp.cas.flow.impl.AbstractOutgoingSamlMessageAction

`NAMESPACE`

## Constructor Summary

Constructors
Constructor
Description
`BuildSamlValidationFailureMessageAction()`

## Method Summary

Modifier and Type
Method
Description
`protected Response`
`buildSamlResponse(ProfileRequestContext profileRequestContext)`
Build the SAML response.

### Methods inherited from class net.shibboleth.idp.cas.flow.impl.AbstractOutgoingSamlMessageAction

`doExecute, doInitialize, newSAMLObject, setOutgoingBinding`

### Methods inherited from class net.shibboleth.idp.cas.flow.impl.AbstractCASProtocolAction

`getCASRequest, getCASResponse, getCASService, getCASTicket, getProtocolContext, setCASRequest, setCASResponse, setCASService, setCASTicket`

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`doPreExecute, getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Constructor Details

### BuildSamlValidationFailureMessageAction

public BuildSamlValidationFailureMessageAction()

## Method Details

### buildSamlResponse

@Nonnull protected Response buildSamlResponse(@Nonnull ProfileRequestContext profileRequestContext) throws EventException
Build the SAML response.

Specified by:
  `buildSamlResponse` in class `AbstractOutgoingSamlMessageAction`
Parameters:
  `profileRequestContext` - profile request context
Returns:
  SAML response
Throws:
  `EventException` - to signal an event